curl --request GET \
--url https://api.compute.anonalabs.com/templates/{templateID} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.compute.anonalabs.com/templates/{templateID}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.compute.anonalabs.com/templates/{templateID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"templateID": "<string>",
"buildID": "<string>",
"cpuCount": 2,
"memoryMB": 129,
"diskSizeMB": 1,
"public": true,
"aliases": [
"<string>"
],
"names": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": null
},
"lastSpawnedAt": "2023-11-07T05:31:56Z",
"spawnCount": 123,
"buildCount": 123,
"envdVersion": "<string>",
"buildStatus": "building",
"builds": [
{
"buildID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "building",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"cpuCount": 2,
"memoryMB": 129,
"finishedAt": "2023-11-07T05:31:56Z",
"diskSizeMB": 1,
"envdVersion": "<string>"
}
],
"isDefault": true,
"description": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}List template builds
List all builds for a template
curl --request GET \
--url https://api.compute.anonalabs.com/templates/{templateID} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.compute.anonalabs.com/templates/{templateID}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.compute.anonalabs.com/templates/{templateID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"templateID": "<string>",
"buildID": "<string>",
"cpuCount": 2,
"memoryMB": 129,
"diskSizeMB": 1,
"public": true,
"aliases": [
"<string>"
],
"names": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": null
},
"lastSpawnedAt": "2023-11-07T05:31:56Z",
"spawnCount": 123,
"buildCount": 123,
"envdVersion": "<string>",
"buildStatus": "building",
"builds": [
{
"buildID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "building",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"cpuCount": 2,
"memoryMB": 129,
"finishedAt": "2023-11-07T05:31:56Z",
"diskSizeMB": 1,
"envdVersion": "<string>"
}
],
"isDefault": true,
"description": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}Authorizations
Path Parameters
Query Parameters
Cursor to start the list from
Maximum number of items to return per page
1 <= x <= 100Response
Successfully returned the template with its builds
Identifier of the template
Identifier of the last successful build for given template
CPU cores for the sandbox
x >= 1Memory for the sandbox in MiB
x >= 128Disk size for the sandbox in MiB
x >= 0Whether the template is public or only accessible by the team
Aliases of the template
Names of the template (namespace/alias format when namespaced)
Time when the template was created
Time when the template was last updated
Show child attributes
Show child attributes
Time when the template was last used
Number of times the template was used
Number of times the template was built
Version of the envd running in the sandbox
Status of the template build
building, waiting, ready, error List of builds for the template
Show child attributes
Show child attributes
Whether the template is one of the platform's default templates. A default template owned by another team carries zero or null usage fields (spawnCount, buildCount, lastSpawnedAt, createdBy).
Description of the template